class Canvas:
    def __init__(self, width, height):
        self.__width = width
        self.__height = height
        self.__points = []

    def add_point(self, point):
        if point.getX() < self.__width and point.getY() < self.__height:
            self.__points.append(point)

    def export_to_svg(self):
        svg = '<svg>'
        for point in self.__points:
            svg += point.export_to_svg()
        svg += '</svg>'
        return svg



class Point:
    def __init__(self, x, y, color):
        self.__x = x
        self.__y = y
        self.__color = color

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y

    def get_color(self):
        return self.__color

    def change_color(self, new_color):
        self.__color = new_color

    def export_to_svg(self):
        return '<point x='+ str(self.__x) + ' y=' + str(self.__y) + ' color=' + self.__color + '/>'


d = Canvas(100, 100)
p1 = Point(50, 50, 'red')
p1.change_color('blue')
d.add_point(p1)
print(d.export_to_svg())