class Canvas:
    def __init__(self, width, height):
        self.__width = width
        self.__height = height
        self.__points_droite = []

    def add_point(self, point):
        if point.getX() < self.__width and point.getY() < self.__height:
            self.__points_droite.append(point)

    def add_droite(self, droite):
        if droite.getX1() < self.__width and droite.getY1() < self.__height and droite.getX2() < self.__width and droite.getY2() < self.__height:
            self.__points_droite.append(droite)

    def export_to_svg(self):
        svg = '<svg>'
        for point_ou_droite in self.__points_droite:
            svg += point_ou_droite.export_to_svg()
        svg += '</svg>'
        return svg


class Point():
    def __init__(self, x, y):
        self.__x = x
        self.__y = y

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y


class ColoredGraphicalFrom:
    def __init__(self, color):
        self.__color = color
        self.__points = []

    def get_color(self):
        return self.__color

    def change_color(self, new_color):
        self.__color = new_color

    def add_point(self, x, y):
        p = Point(x, y)
        self.__points.append(p)


class CGPoint(ColoredGraphicalFrom):
    def __init__(self, x, y):
        self.__x = x
        self.__y = y

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y




class Droite(ColoredGraphicalFrom):
    def __init__(self, x1, y1, x2, y2, color):
        super().__init__(color)
        self.__x1 = x1
        self.__y1 = y1
        self.__x2 = x2
        self.__y2 = y2

    def getX1(self):
        return self.__x1

    def getY1(self):
        return self.__y1

    def getX2(self):
        return self.__x2

    def getY2(self):
        return self.__y2

    def export_to_svg(self):
        return '<droite x1='+ str(self.__x1) + ' y2=' + str(self.__y1) + ' x2='+ str(self.__x2) + ' y2=' + str(self.__y2) + ' color=' + self.get_color() + '/>'


d = Canvas(100, 100)
p1 = Point(50, 50, 'red')
p1.change_color('blue')
d.add_point(p1)
print(d.export_to_svg())

d1 = Droite(10, 10, 80, 80, 'yellow')
d.add_droite(d1)
print(d.export_to_svg())
